summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-02-21 07:22:49 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-02-21 07:22:49 +0000
commit80cc962bd565f3f502adff2b33be342be6ef4bbb (patch)
tree2e14bda72d5ff59c46b2554c7ec5360c73eec1a3 /tests
parent17103c0976b65bcb5adad6611c42bfe16bbb2f3d (diff)
downloadcoreutils-80cc962bd565f3f502adff2b33be342be6ef4bbb.tar.xz
Don't assume that the current host supports 64-bit integers.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/od/x85
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/od/x8 b/tests/od/x8
index 0d88bb85e..cdb536fa5 100755
--- a/tests/od/x8
+++ b/tests/od/x8
@@ -7,6 +7,11 @@ if test "$VERBOSE" = yes; then
od --version
fi
+od -t x8 /dev/null >/dev/null || {
+ echo >&2 "$0: 8-byte test skipped"
+ exit 77
+}
+
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0